package blink.display;

#if flash

typedef Sprite = flash.display.Sprite;

#else

import blink.display.Graphics;

class Sprite extends DisplayObjectContainer
{
   var mGraphics:Graphics;
   public var graphics(GetGraphics,null):Graphics;

   public function new()
   {
      super();
      mGraphics = new Graphics();
   }

   public function Render()
   {
      if (!visible)
         return;
      super.Render();
      mGraphics.Render();
   }


   public function GetGraphics() { return mGraphics; }
}

#end
