package ui.containers;

import ui.core.Element;
import ui.core.Rectangle;

class PanelLayout extends ui.core.MultiContainer { 
  public override function calculateBounds(e : Element) : Rectangle<Float> {
    var f = e.fitSize();
    var r = bounds();
    var h = boundedSide(e.hLayout, r.width, e.minSize.width, e.maxSize.width, f.width);
    var v = boundedSide(e.vLayout, r.height, e.minSize.height, e.maxSize.height, f.height);
    
    return { x : h.d, y : v.d, width : h.l, height : v.l };
  }
}