package ui.core;

import haxe.event.Event;
import ui.event.KeyEvent;

class KeyInteraction {
	public function new() {
    down = new Dispatcher();
    up   = new Dispatcher();
	}
  
  public static function replace(el : Element, key : KeyInteraction) {
    key.down = el.key.down;
    key.up   = el.key.up;
    el.key = key;
  }
  
  public var down : Dispatcher<KeyEvent>;
  public var up   : Dispatcher<KeyEvent>;
}