package ui.flash9;

import ui.core.Element;
import ui.core.KeyInteraction;
import flash.display.Sprite;
import flash.events.KeyboardEvent;

class F9KeyInteraction extends KeyInteraction {
  var el : Element;
  
	public function new(sprite : Sprite, el : Element) {
    super();
    this.el = el;
    var self = this;
    sprite.stage.focus = sprite;
    sprite.stage.addEventListener(KeyboardEvent.KEY_DOWN, function(e) {
      self.down.dispatchEvent(self.getKeyEvent(e));
    });
    sprite.stage.addEventListener(KeyboardEvent.KEY_UP, function(e) {
      self.up.dispatchEvent(self.getKeyEvent(e));
    });
	}
  
  private function getKeyEvent(e:KeyboardEvent){
    return {  target   : el,
              charCode : e.charCode,
              char     : if(e.charCode > 0) Std.chr(e.charCode) else null,
              keyCode  : e.keyCode,
              ctrlKey  : e.ctrlKey,
              shiftKey : e.shiftKey, } 
  }
}