package ui.flash9;

// controls contexts mut be imported to be accessible using reflection
// maybe this is not the best place to import them
import ui.flash9.ButtonContext;
import ui.flash9.ElementContext;
import ui.flash9.LabelContext;
import ui.flash9.TextBoxContext;
import ui.core.IView;
import ui.core.Rectangle;
import ui.containers.PanelLayout;
import flash.display.Sprite;
import flash.Lib;
import flash.display.StageScaleMode;
import flash.display.StageAlign;

class StageView extends PanelLayout, implements IView {
  public var packagename(default, null) : String;
  public var sprite(default, null) : Sprite;
  
  public function new () {
    super();
    packagename = "ui.flash9";
    var s = Lib.current.stage;
    s.scaleMode = StageScaleMode.NO_SCALE;
    s.align = StageAlign.TOP_LEFT;
    sprite = Lib.current;
    var self = this;
    s.addEventListener("resize", function(e) { self.render(); });
  }
  
  public override function bounds() : Rectangle<Float> {
    return { 
      width : cast(Lib.current.stage.stageWidth, Float),
      height : cast(Lib.current.stage.stageHeight, Float),
      x : 0.0, 
      y : 0.0 };
  }
}