package ui.core;

import haxe.event.Event;
import ui.event.MouseEvent;

class MouseInteraction {
	public function new() {
    click  = new Dispatcher();
    down   = new Dispatcher();
    up     = new Dispatcher();
    move   = new Dispatcher();
    enter  = new Dispatcher();
    leave  = new Dispatcher();
	}
  
  public static function replace(el : Element, mouse : MouseInteraction) {
    mouse.click = el.mouse.click;
    mouse.down  = el.mouse.down;
    mouse.up    = el.mouse.up;
    mouse.enter = el.mouse.enter;
    mouse.move  = el.mouse.move;
    el.mouse = mouse;
  }
  
	public var click : Dispatcher<MouseEvent>;
  public var move  : Dispatcher<MouseEvent>;
  public var down  : Dispatcher<MouseEvent>;
  public var up    : Dispatcher<MouseEvent>;
  public var enter : Dispatcher<MouseEvent>;
  public var leave : Dispatcher<MouseEvent>;
}